#include <stdio.h>
int zbirbananica(int n);
main()
{
    int T;
    scanf("%d",&T);
    int nizresenja[T];
    int k=0;
    for(int i=0;i<T;++i)
    {
        int brojucenika,brojbananica,brojgrupa;
        scanf("%d %d %d",&brojucenika,&brojbananica,&brojgrupa);
        int brojac=0;
        int niz[brojgrupa];
        for(int i=0;i<brojgrupa;i++)
        {
            niz[i]=0;
        }
        int ukupnobananica=0;
        while(brojucenika)
        {
             niz[brojac]++;
             if(brojac==brojgrupa-1)
                brojac=0;
                else
                    brojac++;
             brojucenika--;

        }
        for(int i=0;i<brojgrupa;i++)
        {
            ukupnobananica+=zbirbananica(niz[i]);
        }
        if(ukupnobananica>brojbananica)
        {
           nizresenja[k]=0;
           k++;
        }
        else
        {
            nizresenja[k]=1;
            k++;
        }
    }
    for(int i=0;i<T;i++)
    {
        if(nizresenja[i]==1)
            printf("Tak\n");
        if(nizresenja[i]==0)
            printf("Nie\n");
    }
}
int zbirbananica(int n)
{
    int zbir=0;
    for(int i=1;i<=n;i++)
    {
        zbir+=i;
    }
    return zbir;
}